cURL
curl --request DELETE \
--url https://api.brightdata.com/zone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"zone": "<string>"
}
'import requests
url = "https://api.brightdata.com/zone"
payload = { "zone": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({zone: '<string>'})
};
fetch('https://api.brightdata.com/zone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Account Management API
Remove a zone
Use the Bright Data Account Management API to remove a Zone. DELETE /zone returns 200 OK with zone or account configuration data as JSON.
DELETE
/
zone
cURL
Only users with Admin or Ops roles can perform this action.
Warning: This API can modify your account settings, damage your operations or incur charges.
Paste your API key to the authorization field. To get an API key, Create an account and learn how to generate an API key
Authorizations
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
Body
application/json
can be skipped to affect all your zones
Response
200
OK
Was this page helpful?
⌘I